Libosmium: osmium::relations::SecondPassHandler< TManager > Class Template Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
osmium::relations::SecondPassHandler< TManager > Class Template Reference

`#include <manager_util.hpp>`

Inheritance diagram for osmium::relations::SecondPassHandler< TManager >:
[legend]
Collaboration diagram for osmium::relations::SecondPassHandler< TManager >:
[legend]

## Public Member Functions
| SecondPassHandler (TManager &manager) noexcept
void | node (const osmium::Node &node)
void | way (const osmium::Way &way)
void | relation (const osmium::Relation &relation)
void | flush ()
Public Member Functions inherited from osmium::handler::Handler
void | osm_object (const osmium::OSMObject &) const noexcept
void | node (const osmium::Node &) const noexcept
void | way (const osmium::Way &) const noexcept
void | relation (const osmium::Relation &) const noexcept
void | area (const osmium::Area &) const noexcept
void | changeset (const osmium::Changeset &) const noexcept
void | tag_list (const osmium::TagList &) const noexcept
void | way_node_list (const osmium::WayNodeList &) const noexcept
void | relation_member_list (const osmium::RelationMemberList &) const noexcept
void | outer_ring (const osmium::OuterRing &) const noexcept
void | inner_ring (const osmium::InnerRing &) const noexcept
void | changeset_discussion (const osmium::ChangesetDiscussion &) const noexcept
void | flush () const noexcept

## Private Attributes
TManager & | m_manager

## Detailed Description

template<typename TManager>
class osmium::relations::SecondPassHandler< TManager >

This is a handler class used for the second pass of relation managers. An object of this class is instantiated as a member of the Manager and used to re-direct all calls to the handler to the "parent" manager.

Template Parameters

  TManager | The manager we want to call functions on.

## Constructor & Destructor Documentation

## ◆ SecondPassHandler()

template<typename TManager>

osmium::relations::SecondPassHandler< TManager >::SecondPassHandler | ( | TManager & | manager | ) |
| inlineexplicitnoexcept

## Member Function Documentation

## ◆ flush()

template<typename TManager>

void osmium::relations::SecondPassHandler< TManager >::flush | ( |  | ) |
| inline

Overwrites the function in the handler parent class.

Calls the flush_output() function on the manager.

## ◆ node()

template<typename TManager>

void osmium::relations::SecondPassHandler< TManager >::node | ( | const osmium::Node & | node | ) |
| inline

Overwrites the function in the handler parent class.

## ◆ relation()

template<typename TManager>

void osmium::relations::SecondPassHandler< TManager >::relation | ( | const osmium::Relation & | relation | ) |
| inline

Overwrites the function in the handler parent class.

## ◆ way()

template<typename TManager>

void osmium::relations::SecondPassHandler< TManager >::way | ( | const osmium::Way & | way | ) |
| inline

Overwrites the function in the handler parent class.

## Member Data Documentation

## ◆ m_manager

template<typename TManager>

TManager& osmium::relations::SecondPassHandler< TManager >::m_manager
| private

The documentation for this class was generated from the following file:

- include/osmium/relations/manager_util.hpp